willdurand
Repos
72
Followers
1734
Following
26

:floppy_disk: A minimal, experimental and "toy" monolithic kernel to learn about OS development // Work In Progress

C
298
26

:watch: A wonderful CLI to track your time!

2085
211

Front-end to complement mozilla/addons-server

511
364

🌭 A CHIP-8 interpreter written in Rust.

8
2

The Symfony PHP framework

27459
8580

Content Negotiation tools for PHP.

1295
60

Events

gitpod: init: fix git-cinnabar (0.6) install

Created at 2 hours ago
delete branch
willdurand delete branch dependabot/npm_and_yarn/ws-8.9.0
Created at 3 hours ago

Bump ws from 8.8.1 to 8.9.0 (#64)

Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>

Created at 3 hours ago
pull request closed
Bump ws from 8.8.1 to 8.9.0

Bumps ws from 8.8.1 to 8.9.0.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
Created at 3 hours ago

fix(deps): update dependency eslint to v8.24.0 (#4482)

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>

Created at 4 hours ago
delete branch
willdurand delete branch renovate/eslint-8.x
Created at 4 hours ago
pull request closed
fix(deps): update dependency eslint to v8.24.0

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | eslint (source) | 8.23.1 -> 8.24.0 | age | adoption | passing | confidence |


Release Notes

v8.24.0

Compare Source

Features
  • 1729f9e feat: account for sourceType: "commonjs" in the strict rule (#​16308) (Milos Djermanovic)
  • b0d72c9 feat: add rule logical-assignment-operators (#​16102) (fnx)
  • f02bcd9 feat: array-callback-return support findLast and findLastIndex (#​16314) (Sosuke Suzuki)
Documentation
Chores

Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Enabled.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by Mend Renovate. View repository job log here.

Created at 4 hours ago

browser_specific_settings is not an array anymore in BCD

Created at 5 days ago
willdurand create tag 5.16.0
Created at 6 days ago

fix(deps): update dependency pino to v8.6.0 (#4477)

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>

Created at 6 days ago
delete branch
willdurand delete branch renovate/pino-8.x
Created at 6 days ago
pull request closed
fix(deps): update dependency pino to v8.6.0

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | pino (source) | 8.5.0 -> 8.6.0 | age | adoption | passing | confidence |


Release Notes

v8.6.0

Compare Source

What's Changed

New Contributors

Full Changelog: https://github.com/pinojs/pino/compare/v8.5.0...v8.6.0


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Enabled.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by Mend Renovate. View repository job log here.

Created at 6 days ago

chore(deps): lock file maintenance (#4479)

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>

Created at 6 days ago
delete branch
willdurand delete branch renovate/lock-file-maintenance
Created at 6 days ago
pull request closed
chore(deps): lock file maintenance

Mend Renovate

This PR contains the following updates:

| Update | Change | |---|---| | lockFileMaintenance | All locks refreshed |

🔧 This Pull Request updates lock files to use the latest dependency versions.


Configuration

📅 Schedule: Branch creation - "before 8am on Tuesday" in timezone UTC, Automerge - At any time (no schedule defined).

🚦 Automerge: Enabled.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

👻 Immortal: This PR will be recreated if closed unmerged. Get config help if that's undesired.


  • [ ] If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by Mend Renovate. View repository job log here.

Created at 6 days ago
issue comment
fix: Prevent mv3 permissions errors to be wrongly reported in mv2 addon validation

As per our last discussion, the idea was to:

  1. move these changes to a new PR with a different goal: we eventually want to simplify the JSON schema in the linter so that will be a first step (having two sets of schema for mv2 and mv3). Later, we'll merge all files to have a JSON file per manifest version. After that we'll try to simplify the structure of the JSON schema
  2. switch back to the old patch (with the replacer function) to fix https://github.com/mozilla/addons-linter/issues/4367. The unproven fear was that it would impact the perfs negatively but we came to the conclusion that this was unproven and rather unlikely
Created at 1 week ago
delete branch
willdurand delete branch revert-4473-renovate/mdn-browser-compat-data-5.x
Created at 1 week ago

Revert "fix(deps): update dependency @mdn/browser-compat-data to v5.2.2" (#4476)

Created at 1 week ago
pull request closed
Revert "fix(deps): update dependency @mdn/browser-compat-data to v5.2.2"

Reverts mozilla/addons-linter#4473

Created at 1 week ago

chore(deps): update node.js to v18.9 (#4475)

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com> Co-authored-by: William Durand will+git@drnd.me

Created at 1 week ago
delete branch
willdurand delete branch renovate/cimg-node-18.x
Created at 1 week ago
pull request closed
chore(deps): update node.js to v18.9

Mend Renovate

This PR contains the following updates:

| Package | Type | Update | Change | |---|---|---|---| | cimg/node | docker | minor | 18.8 -> 18.9 | | cimg/node | docker | major | 16.17 -> 18.9 | | cimg/node | docker | major | 14.20 -> 18.9 |


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 Ignore: Close this PR and you won't be reminded about these updates again.


  • [ ] If you want to rebase/retry this PR, click this checkbox. ⚠ Warning: custom changes will be lost.

This PR has been generated by Mend Renovate. View repository job log here.

Created at 1 week ago

Update config.yml

Created at 1 week ago
pull request opened
Revert "fix(deps): update dependency @mdn/browser-compat-data to v5.2.2"

Reverts mozilla/addons-linter#4473

Created at 1 week ago